# This file created by conda-build 3.24.0
# ------------------------------------------------

package:
  name: maturin
  version: 0.14.17
source:
  sha256: fb4e3311e8ce707843235fbe8748a05a3ae166c3efd6d2aa335b53dfc2bd3b88
  url: https://pypi.io/packages/source/m/maturin/maturin-0.14.17.tar.gz
build:
  noarch: false
  noarch_python: false
  number: '0'
  script: build-unix.sh
  string: py310ha6e5c4f_0
requirements:
  build:
    - cctools_osx-arm64 949.0.1 h332cad3_25
    - clang 14.0.6 hca03da5_1
    - clang-14 14.0.6 default_h1b80db6_1
    - clang_osx-arm64 14.0.6 h9ff6fda_0
    - clangxx 14.0.6 default_h1b80db6_1
    - clangxx_osx-arm64 14.0.6 h72866fe_0
    - compiler-rt 14.0.6 h4ccfd99_0
    - compiler-rt_osx-arm64 14.0.6 h4fb70ea_0
    - ld64_osx-arm64 530 h001ce53_25
    - ldid 2.1.2 h64d1936_2
    - libclang-cpp14 14.0.6 default_h1b80db6_1
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - libllvm14 14.0.6 h7ec7a93_3
    - llvm-tools 14.0.6 hfd8c8a6_3
    - rust 1.64.0 h80987f9_0
    - rust_osx-arm64 1.64.0 h313beb8_1
    - tapi 1100.0.11 h8754e6a_1
    - zlib 1.2.13 h5a0b063_0
  host:
    - bzip2 1.0.8 h620ffc9_4
    - ca-certificates 2023.01.10 hca03da5_0
    - libffi 3.4.4 hca03da5_0
    - ncurses 6.4 h313beb8_0
    - openssl 1.1.1t h1a28f6b_0
    - pip 23.0.1 py310hca03da5_0
    - python 3.10.11 hc0d8a6c_2
    - readline 8.2 h1a28f6b_0
    - semantic_version 2.8.5 pyhd3eb1b0_0
    - setuptools 66.0.0 py310hca03da5_0
    - setuptools-rust 1.5.2 py310hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - tk 8.6.12 hb8d0fd4_0
    - tomli 2.0.1 py310hca03da5_0
    - typing_extensions 4.5.0 py310hca03da5_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.38.4 py310hca03da5_0
    - xz 5.4.2 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
  run:
    - python >=3.10,<3.11.0a0
    - tomli >=1.1.0
test:
  commands:
    - maturin -V
    - maturin --help
    - maturin build --help
    - pip check
  imports:
    - maturin
  requires:
    - pip
about:
  description: 'This project is meant as a zero configuration replacement for setuptools-rust
    and milksnake.

    It supports building wheels for python 3.5+ on windows, linux, mac and freebsd,
    can upload them to pypi and has basic pypy support.

    '
  dev_url: https://github.com/PyO3/maturin
  doc_url: https://www.maturin.rs/
  home: https://www.maturin.rs/
  license: MIT OR Apache-2.0
  license_family: MIT
  license_file: license-mit
  summary: Build and publish crates with pyo3, rust-cpython and cffi bindings as well
    as rust binaries as python packages
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 1c704209-8a7e-4b77-825c-be473d823440
  recipe-maintainers:
    - apcamargo
  remote_url: git@github.com:AnacondaRecipes/maturin-feedstock.git
  sha: 5152db0c0ae2aef02fbf357d1ff7a2397310def9
